#
#   Makefile.fpc for PTC examples
#

[package]
name=ptc-examples
version=3.2.2

[target]
programs=area buffer clear clip con_info console fire  \
         flower hicolor image keyboard keyboard2 keyboard3 \
         land lights modes mojo palette pixel random save \
         stretch texwarp timer tunnel3d tunnel
programs_win32=ptcgl ptcgl2
programs_win64=ptcgl ptcgl2
programs_linux=ptcgl ptcgl2

[compiler]
unitdir=../$(UNITTARGETDIRPREFIX)

[default]
fpcdir=../../..

[require]
packages=hermes ptc
packages_linux=x11
packages_freebsd=x11

[rules]
.NOTPARALLEL:
